Skip to main content
Create Cluster Instance.
Authentication · API availability · Download OpenAPI
This operation can change resources or access. After signing in, open API request settings and select Enable modifying requests, then Apply settings, to use its playground. Check the request body and destination before selecting Send. Your existing API permissions still apply.

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Body

application/json

Cluster Instance detail

name
string
required

User defined name of the cluster instance, unique across the enterprise. Once cluster instance is created, name can’t be changed

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string
required

User defined title of the cluster instance. Title can be changed at any time

Required string length: 3 - 256
Pattern: ^[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+$
clusterType
enum<string>
default:CLUSTER_TYPE_UNSPECIFIED
required

Type of cluster

Available options:
CLUSTER_TYPE_UNSPECIFIED,
CLUSTER_TYPE_K3S,
CLUSTER_TYPE_TKG_ATTACH
projectId
string
required

project id which the given cluster instance belong to

edgeNodePoolTags
object
required

edgeNodePoolTags are name/value pairs that enables us to identify edgeNodes which are part of a ClusterInstance. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.

serverAppInst
Cluster config details · object
required

app instance object for server node

agentAppInst
App Instance detail · object
required

app instance object for agent node

minEdgeDevices
number<int64>
required

Minimum number of edge device required for the cluster instance

maxEdgeDevices
number<int64>
required

Maximum number of edge device allowed in the cluster instance

minServerNodes
number<int64>
required

Minimum number of server nodes required for the cluster instance

maxServerNodes
number<int64>
required

Maximum number of server nodes allowed in the cluster instance

minAgentNodes
number<int64>
required

Minimum number of agent nodes required for the cluster instance

maxAgentNodes
number<int64>
required

Maximum number of agent nodes allowed in the cluster instance

callHomeURL
string
required

CallHome URL for the cluster to fetch configuration details

clusterOnboardType
enum<string>
default:CLUSTER_ONBOARD_TYPE_UNSPECIFIED
required

Cluster Instance orchestrator onboard type

Available options:
CLUSTER_ONBOARD_TYPE_UNSPECIFIED,
CLUSTER_ONBOARD_TYPE_MANUAL,
CLUSTER_ONBOARD_TYPE_AUTOMATIC
description
string

Detailed description of the cluster instance

Maximum string length: 256
tags
object

Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.

revision
deprecated 8; · object

cluster instance object revision details

activate
string

cluster instance activation flag

clusterPolicyId
string

System defined universally unique Id of the cluster policy

Pattern: [0-9A-Za-z-]+
orchestrationProvider
enum<string>
default:ORCHESTRATOR_PROVIDER_UNSPECIFIED

Orchestrator type

Available options:
ORCHESTRATOR_PROVIDER_UNSPECIFIED,
ORCHESTRATOR_PROVIDER_RANCHER
orchestratorConfig
Configuration required for the cluster orchestrator integration · object

Orchestrator config

netInstConfig
Network instance detailed configuration · object[]

Network instance config to enforce on all devices of this cluster

dbEndpoint
string

External DataBase endpoint for the server to communicate and sync

devIds
string[]

List of Edge Node Ids to deploy the cluster instance

Response

A successful response.

operationType
enum<string>
default:OPS_TYPE_UNSPECIFIED
Available options:
OPS_TYPE_UNSPECIFIED,
OPS_TYPE_READ,
OPS_TYPE_DELETE,
OPS_TYPE_CREATE,
OPS_TYPE_UPDATE,
OPS_TYPE_LIST
operationStatus
enum<string>
default:OPS_STATUS_UNSPECIFIED
  • OPS_STATUS_PENDING: In rare cases, system may not start operation when it was requested. Client will be notified that operation is PENDING
  • OPS_STATUS_ONGOING: system will start the operation, but at the time response was generated, operation is still ONGOING.
  • OPS_STATUS_COMPLETE: Even if the result of the operations may result in failure, but the OpsStatus will marked COMPLETE for almost all cases.
Available options:
OPS_STATUS_UNSPECIFIED,
OPS_STATUS_PENDING,
OPS_STATUS_ONGOING,
OPS_STATUS_COMPLETE
objectKind
string
objectId
string
objectName
string
objectRevision
string
objectType
enum<string>
default:OBJECT_TYPE_UNSPECIFIED
Available options:
OBJECT_TYPE_UNSPECIFIED,
OBJECT_TYPE_USER,
OBJECT_TYPE_EDGE_NODE,
OBJECT_TYPE_EDGE_APP,
OBJECT_TYPE_IMAGE,
OBJECT_TYPE_EDGE_APP_INSTANCE,
OBJECT_TYPE_PROJECT,
OBJECT_TYPE_NETWORK,
OBJECT_TYPE_DATASTORE,
OBJECT_TYPE_SERVICE,
OBJECT_TYPE_SERVICE_INSTANCE,
OBJECT_TYPE_ENTERPRISE,
OBJECT_TYPE_ROLE,
OBJECT_TYPE_CREDENTIAL,
OBJECT_TYPE_NETWORK_INSTANCE,
OBJECT_TYPE_VOLUME_INSTANCE,
OBJECT_TYPE_REALM,
OBJECT_TYPE_AUTHPROFILE,
OBJECT_TYPE_POLICY,
OBJECT_TYPE_APP_POLICY,
OBJECT_TYPE_CLUSTER_INSTANCE,
OBJECT_TYPE_PLUGIN,
OBJECT_TYPE_DOC_POLICY,
OBJECT_TYPE_ORCHESTRATOR_CLUSTER,
OBJECT_TYPE_TAGS,
OBJECT_TYPE_EDGE_NODE_INTERFACE,
OBJECT_TYPE_DEPLOYMENT,
OBJECT_TYPE_ENTITLEMENTS,
OBJECT_TYPE_DATA_STREAM,
OBJECT_TYPE_API_USAGE,
OBJECT_TYPE_APP_INSTANCE_SNAPSHOT,
OBJECT_TYPE_PATCH_ENVELOPE,
OBJECT_TYPE_RESOURCE_USAGE_TRACK,
OBJECT_TYPE_PATCH_ENVELOPE_REFERENCE,
OBJECT_TYPE_DEV_PASSTHROUGH,
OBJECT_TYPE_EDGE_NODE_CLUSTER,
OBJECT_TYPE_ASSET_GROUP,
OBJECT_TYPE_APP_PROFILE,
OBJECT_TYPE_PROFILE_DEPLOYMENT,
OBJECT_TYPE_ZKS_INSTANCE,
OBJECT_TYPE_CLUSTER_GROUP
operationTime
string
startTime
string
endTime
string
user
string
httpStatusCode
integer<int32>
httpStatusMsg
string
jobId
string
error
one or more errors will be set if the operation failed i.e. httpStatusCode != 2xx · object[]